public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matthew Smith" <matthew@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gui-apps/foot/
Date: Sat, 13 Aug 2022 07:59:17 +0000 (UTC)	[thread overview]
Message-ID: <1660377492.c960b2b06398d4c2025028a0e1e5ccc54f90395e.matthew@gentoo> (raw)

commit:     c960b2b06398d4c2025028a0e1e5ccc54f90395e
Author:     Arsen Arsenović <arsen <AT> aarsen <DOT> me>
AuthorDate: Thu Aug 11 16:01:47 2022 +0000
Commit:     Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Sat Aug 13 07:58:12 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c960b2b0

gui-apps/foot: add 1.13.0

Signed-off-by: Arsen Arsenović <arsen <AT> aarsen.me>
Closes: https://github.com/gentoo/gentoo/pull/26824
Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>

 gui-apps/foot/Manifest           |  1 +
 gui-apps/foot/foot-1.13.0.ebuild | 72 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/gui-apps/foot/Manifest b/gui-apps/foot/Manifest
index 8554377e5bba..273383eb2f65 100644
--- a/gui-apps/foot/Manifest
+++ b/gui-apps/foot/Manifest
@@ -1,2 +1,3 @@
 DIST foot-1.11.0.tar.gz 468899 BLAKE2B f3e3909c670598dab151f8be4104921fddd6621e833a8fe43c68d06347e3e866101fe1563282622436638674b7f73770762d47a7b9fd61d42b00bc7634e2ea76 SHA512 edf8130dfb52e06b6d8638115eca19695b24536f3f6b284e0319876edb95c3c86800f9527cc9dae3f66d2d317d26add793634a19f302e52c9f0118b9b91fc9c2
 DIST foot-1.12.1.tar.gz 484702 BLAKE2B 5f3ed5923dfe2e3d110da298d4abefb331c15bb0f3db3135a4e8d481b528b3f8287fc5d8516e9d3a34b8084f6364edae93dee496d9192fe610d2c17733277451 SHA512 553f404b074f4372fb8cfb050f0378d1cbe1620ea8afe2e279523df3006eefd0b0ed24addca33de10cfc8109e5aaec66beccbd5f30e032bb9f2bd9b81ac798cb
+DIST foot-1.13.0.tar.gz 495396 BLAKE2B 9acad754d47754d6161fd4024b7f6a8336cd5e6faa1112bdf390c79ecbd52f74b187544667ca8517618f05324af76da66f0320e86e8b0e178a0f63c556992edf SHA512 ac7c8dc967c897f81f8eda8b0c5de17896015698ac266bc9ce898d3fdb41d0dd96762f28f433d8a31f768e0505e4c89151ef10484407f66865ea6322fa1b6705

diff --git a/gui-apps/foot/foot-1.13.0.ebuild b/gui-apps/foot/foot-1.13.0.ebuild
new file mode 100644
index 000000000000..9b2582a0b630
--- /dev/null
+++ b/gui-apps/foot/foot-1.13.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson xdg systemd
+
+DESCRIPTION="Fast, lightweight and minimalistic Wayland terminal emulator"
+HOMEPAGE="https://codeberg.org/dnkl/foot"
+SRC_URI="https://codeberg.org/dnkl/foot/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm64"
+IUSE="+grapheme-clustering"
+
+COMMON_DEPEND="
+	dev-libs/wayland
+	media-libs/fcft
+	media-libs/fontconfig
+	x11-libs/libxkbcommon
+	x11-libs/pixman
+	grapheme-clustering? (
+		dev-libs/libutf8proc:=
+		media-libs/fcft[harfbuzz]
+	)
+"
+DEPEND="
+	${COMMON_DEPEND}
+	dev-libs/tllist
+	dev-libs/wayland-protocols
+"
+RDEPEND="
+	${COMMON_DEPEND}
+	|| (
+		>=sys-libs/ncurses-6.3[-minimal]
+		~gui-apps/foot-terminfo-${PV}
+	)
+"
+BDEPEND="
+	app-text/scdoc
+	dev-util/wayland-scanner
+"
+
+src_prepare() {
+	default
+	# disable the systemd dep, we install the unit file manually
+	sed -i "s/systemd', required: false)$/', required: false)/" "${S}"/meson.build || die
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_feature grapheme-clustering)
+		-Dthemes=true
+		-Dime=true
+		-Dterminfo=disabled
+	)
+	meson_src_configure
+
+	sed 's|@bindir@|/usr/bin|g' "${S}/"/foot-server@.service.in > foot-server@.service
+}
+
+src_install() {
+	local DOCS=( CHANGELOG.md README.md LICENSE )
+	meson_src_install
+
+	# foot unconditionally installs CHANGELOG.md, README.md and LICENSE.
+	# we handle this via DOCS and dodoc instead.
+	rm -r "${ED}/usr/share/doc/${PN}" || die
+	systemd_douserunit foot-server@.service "${S}"/foot-server@.socket
+}


             reply	other threads:[~2022-08-13  7:59 UTC|newest]

Thread overview: 50+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-08-13  7:59 Matthew Smith [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-27 12:16 [gentoo-commits] repo/gentoo:master commit in: gui-apps/foot/ Arsen Arsenović
2025-04-18 15:26 Arsen Arsenović
2025-03-17 15:51 Arsen Arsenović
2025-03-09 19:14 Arsen Arsenović
2025-03-08  6:46 Arthur Zamarin
2025-03-07 12:17 Arsen Arsenović
2025-03-06  7:31 Arthur Zamarin
2025-03-06  7:31 Arthur Zamarin
2025-01-20 11:15 Arsen Arsenović
2025-01-10 13:06 Arsen Arsenović
2025-01-07 21:05 Sam James
2025-01-07 20:11 Arsen Arsenović
2025-01-07 20:11 Arsen Arsenović
2025-01-01 12:23 Arsen Arsenović
2024-12-13 13:14 Arthur Zamarin
2024-12-13 13:14 Arthur Zamarin
2024-12-13 13:14 Arthur Zamarin
2024-10-23 19:39 Arsen Arsenović
2024-08-19 21:45 Michael Orlitzky
2024-08-14 11:42 Arsen Arsenović
2024-08-02 15:42 Arsen Arsenović
2024-05-28 14:03 Sam James
2024-04-26  8:53 Arsen Arsenović
2024-04-11 14:52 Arsen Arsenović
2024-04-02 17:21 Arsen Arsenović
2024-04-02 17:21 Arsen Arsenović
2024-01-20 17:45 Arsen Arsenović
2024-01-03 11:51 Sam James
2023-11-15  5:24 Sam James
2023-10-18  7:38 Arsen Arsenović
2023-10-18  7:38 Arsen Arsenović
2023-10-12 16:35 Arsen Arsenović
2023-10-12 16:11 Arsen Arsenović
2023-08-07 17:22 Arsen Arsenović
2023-07-30 13:09 Arsen Arsenović
2023-07-21 12:10 Arsen Arsenović
2023-07-14 11:01 Arsen Arsenović
2023-05-13  0:43 Sam James
2023-04-25  8:10 Arsen Arsenović
2023-04-03 22:30 Arsen Arsenović
2022-08-31 18:55 Sam James
2022-08-13  8:06 Matthew Smith
2022-08-13  7:59 Matthew Smith
2022-08-08  6:12 Joonas Niilola
2022-05-17  5:59 Sam James
2022-04-28 10:27 Joonas Niilola
2022-02-14 20:39 Sam James
2022-02-12 21:52 Ionen Wolkens
2022-02-05 23:39 Ionen Wolkens

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1660377492.c960b2b06398d4c2025028a0e1e5ccc54f90395e.matthew@gentoo \
    --to=matthew@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox